Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.storage.object_storages.buckets.list(
storage_id=0,
)
page = page.results[0]
print(page.storage_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/storage"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Storage.ObjectStorages.Buckets.List(
context.TODO(),
0,
storage.ObjectStorageBucketListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/storage/v4/object_storages/{storage_id}/buckets \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/v4/object_storages/{storage_id}/buckets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 5,
"results": [
{
"cors": {
"allowed_origins": [
"https://example.com",
"*"
]
},
"lifecycle": {
"expiration_days": 30
},
"name": "my-bucket",
"policy": {
"is_public": true
},
"storage_id": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}S3-Compatible Storage
List buckets
Returns a paginated list of buckets for an S3-compatible storage, including each bucket’s CORS, Lifecycle, and Policy configuration. Results are sorted alphabetically by bucket name (ascending).
GET
/
storage
/
v4
/
object_storages
/
{storage_id}
/
buckets
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.storage.object_storages.buckets.list(
storage_id=0,
)
page = page.results[0]
print(page.storage_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/storage"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Storage.ObjectStorages.Buckets.List(
context.TODO(),
0,
storage.ObjectStorageBucketListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Storage ID
Query Parameters
Number of records to skip before beginning to return results
Required range:
x >= 0Max number of records in response
Required range:
1 <= x <= 1000Response
BucketListEndpointResV4
Was this page helpful?